#include <QStringList>
#include <iostream>

#include "modelParameters.h"

// Constructor
modelParameters::modelParameters()
{
}

// Data filename
QString modelParameters::getDataFilename()
{
    return dataFilename_;
}
void modelParameters::setDataFilename(QString inFilename)
{
    dataFilename_ = inFilename;
}

// Moving average length 1
unsigned modelParameters::getMovingAvgLen1()
{
    return movingAvgLen1_;
}
void modelParameters::setMovingAvgLen1(unsigned inLen)
{
    movingAvgLen1_ = inLen;
}

// Moving average length 2
unsigned modelParameters::getMovingAvgLen2()
{
    return movingAvgLen2_;
}
void modelParameters::setMovingAvgLen2(unsigned inLen)
{
    movingAvgLen2_ = inLen;
}

// For testing - printout
void modelParameters::test()
{
    std::cout << "dataFilename = " << getDataFilename().toStdString() << std::endl;
    std::cout << "movingAvgLen1 = " << getMovingAvgLen1() << std::endl;
    std::cout << "movingAvgLen2 = " << getMovingAvgLen2() << std::endl;
}
