#ifndef PRICEDATUM_H
#define PRICEDATUM_H

// Class to store/retrieve one day's worth of OHLC data, used by priceDataSet class

class priceDatum
{
public:
    priceDatum(unsigned date, double open, double high, double low, double close);
    unsigned getDate();
    double getOpen();
    double getHigh();
    double getLow();
    double getClose();
private:
    unsigned date_;
    double open_;
    double high_;
    double low_;
    double close_;
};

#endif // PRICEDATUM_H
