#ifndef PRICEDATASET_H
#define PRICEDATASET_H

#include <vector>
#include "priceDatum.h"

// Class to store / retrieve OHLC daily stock price data

class QIODevice;
class QString;

class priceDataSet
{
public:
    priceDataSet();
    ~priceDataSet();

    void test();
    bool Read(QIODevice *device);

    unsigned long getNumRows();
    unsigned getDate(unsigned long row);
    double getOpen(unsigned long row);
    double getHigh(unsigned long row);
    double getLow(unsigned long row);
    double getClose(unsigned long row);

private:
    std::vector<priceDatum> priceData_;
    unsigned getDateFromString(QString &);
};

#endif // PRICEDATASET_H
