#include "priceDatum.h"

// Class to store/retrieve one day's worth of OHLC data, used by priceDataSet class

priceDatum::priceDatum(unsigned date, double open, double high, double low, double close)
{
    date_ = date;
    open_ = open;
    high_ = high;
    low_ = low;
    close_ = close;
}

unsigned priceDatum::getDate()
{
    return date_;
}

double priceDatum::getOpen()
{
    return open_;
}

double priceDatum::getHigh()
{
    return high_;
}

double priceDatum::getLow()
{
    return low_;
}

double priceDatum::getClose()
{
    return close_;
}
